#! /bin/bash

# define path to lightframes, master flatfield, bad pixels map, master darkframe
LF=IMG_*.CR2
FF=../FF/MFF_iso800_20100418_avg62.tiff
BP=../bp/badpixels
DF=../DF/MDF_30s_iso800_4C_11med.pgm

#set working directory
cd /home/zdenek/astro/process/light

#run dcraw, output to tiff with raw colorspace, correction for chromatic aberration and subtraction of darkframe
dcraw -v -T -4 -j -t 0 -o 0 -m 3 -C 0.9999 1.0001 -r 1.80 1.00 1.33 1.00 -P $BP -K $DF $LF

#apply flatfield correction
for im in IMG*.tiff
	do composite $im $FF -compose divide cal_$im;
done

#register images
dsireg cal*.tiff|tee dsireg_log

#stack registered images
stack reg*.tiff output.tiff|tee stack_log

